
#include "폼디자인\폼디자인.h"

#include "함수묶음.h"

#include "기계닉스\색상정의.h"

//[2022.05.16.월][추가]
#include "기계닉스\함수모음.h"


//[VAR]
//{
    struct ts_폼디자인  _폼디자인;

//}


void _폼디자인_위치얻기(struct ts_폼디자인  **r폼디자인)
{
  (*r폼디자인) = &_폼디자인;

}

void _폼디자인_생성(void)
{
  //[VAR]
  //{
      char   ide_실행경로[1024];

      char   가상기계실행경로[1024];

      char   경로이름확장자[1024];

      struct ts_전광판전구설정정보  전광판전구설정정보;

      int    l, r, t, b;
      int    보정_x, 보정_y;

  //}

  //[전처리]
  //{
      _Ide_실행경로_(ide_실행경로);

      //[수정][2022.05.16.월]{-------------------------------------------------
      //[가상기계(GVMS)] 를 직접 실행하는 경우를 위하여 [설계묶음] 경로만을 기준으로 하는
      //<_Ide_설계묶음_경로이름확장자_()> 함수 대신에, [설계묶음] 경로와 [가상기계(GVMS)]
      //실행 경로를 둘다 만족시키는 <Ide_Gvms_실행경로()> 함수로 교체.
      Ide_Gvms_실행경로(가상기계실행경로);
      //}---------------------------------------------------------------------

      _GDotMatrix_전체_일시정지_(true, d_쓰기);

  //}

  //[위치 보정값 계산]
  //{
      //[!]{------------------------------------------
      //생성된 [그림부품] 들을 [화면:중앙] 에 분포시키기 위한것.
      //}---------------------------------------------

      l = 158;
      r = 1185;
      t = 197;
      b = 671;

      보정_x = (l + r)/2 - _Sys_화면영역폭_()/2;
      보정_y = (t + b)/2 - _Sys_화면영역높이_()/2;

  //}

  //[!]{------------
  //폼디자인 구현 시작.
  //}---------------

  //[_폼디자인.기본_GForm]
  //{
      _GForm_생성_(_폼디자인.기본_GForm, NULL, _Gui_ID_생성(), 158 - 보정_x, 197 - 보정_y, 468, 474, false);
      _GForm_제목줄문자열_(_폼디자인.기본_GForm, "::: 맷돌-IDE 배포판 제작기 :::", d_쓰기);
      _GForm_창최대화버튼유효_(_폼디자인.기본_GForm, false, d_쓰기);
      _GForm_유효_(_폼디자인.기본_GForm, true, d_쓰기);

      //[화면 중간에 위치]
      //{
          //[2020.11.11.수][추가]
          _GForm_X_(_폼디자인.기본_GForm, _Sys_화면영역폭_()/2 - _GForm_폭_(_폼디자인.기본_GForm, NULL, d_읽기)/2, d_쓰기);
          _GForm_Y_(_폼디자인.기본_GForm, _Sys_화면영역높이_()/2 - _GForm_높이_(_폼디자인.기본_GForm, NULL, d_읽기)/2, d_쓰기);

      //}

      //[2020.11.19.목][추가]{-----------------------------
      _GForm_이벤트_Move_(_폼디자인.기본_GForm, true, d_쓰기);
      //[2020.11.21.토][추가]------------------------------
      _GForm_이벤트_Drag_(_폼디자인.기본_GForm, true, d_쓰기);
      _GForm_이벤트_Drop_(_폼디자인.기본_GForm, true, d_쓰기);
      //}-------------------------------------------------
      _GForm_이벤트_Close_(_폼디자인.기본_GForm, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.기본_GForm, "기본_GForm");

  //}

  //[_폼디자인.경로설정_바탕_GLabel]
  //{
      _GLabel_생성_(_폼디자인.경로설정_바탕_GLabel, _폼디자인.기본_GForm, _Gui_ID_생성(), 6, 17, 448, 84, false);
      _GLabel_제목_(_폼디자인.경로설정_바탕_GLabel, "", d_쓰기);
      _GLabel_테두리_(_폼디자인.경로설정_바탕_GLabel, true, d_쓰기);
      _GLabel_유효_(_폼디자인.경로설정_바탕_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.경로설정_바탕_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.경로설정_바탕_GLabel, "경로설정_바탕_GLabel");

  //}

  //[_폼디자인.경로설정_제목_GLabel]
  //{
      _GLabel_생성_(_폼디자인.경로설정_제목_GLabel, _폼디자인.기본_GForm, _Gui_ID_생성(), 6, 7, 61, 20, false);
      _GLabel_제목_(_폼디자인.경로설정_제목_GLabel, "경로 설정", d_쓰기);
      _GLabel_문자색_(_폼디자인.경로설정_제목_GLabel, 0x00ffffff, d_쓰기);
      _GLabel_배경색_(_폼디자인.경로설정_제목_GLabel, 0x00c0c0c0, d_쓰기);
      _GLabel_테두리_(_폼디자인.경로설정_제목_GLabel, true, d_쓰기);
      _GLabel_유효_(_폼디자인.경로설정_제목_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.경로설정_제목_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.경로설정_제목_GLabel, "경로설정_제목_GLabel");

  //}

  //[_폼디자인.원본경로_GLabel]
  //{
      _GLabel_생성_(_폼디자인.원본경로_GLabel, _폼디자인.경로설정_바탕_GLabel, _Gui_ID_생성(), 6, 22, 64, 20, false);
      _GLabel_제목_(_폼디자인.원본경로_GLabel, "원본 경로", d_쓰기);
      _GLabel_유효_(_폼디자인.원본경로_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.원본경로_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.원본경로_GLabel, "원본경로_GLabel");

  //}

  //[_폼디자인.배포경로_GLabel]
  //{
      _GLabel_생성_(_폼디자인.배포경로_GLabel, _폼디자인.경로설정_바탕_GLabel, _Gui_ID_생성(), 6, 54, 64, 20, false);
      _GLabel_제목_(_폼디자인.배포경로_GLabel, "배포 경로", d_쓰기);
      _GLabel_유효_(_폼디자인.배포경로_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.배포경로_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.배포경로_GLabel, "배포경로_GLabel");

  //}

  //[_폼디자인.원본경로_GBtn]
  //{
      _GButton_생성_(_폼디자인.원본경로_GBtn, _폼디자인.경로설정_바탕_GLabel, _Gui_ID_생성(), 73, 18, 367, 25, false);
      _GButton_제목_(_폼디자인.원본경로_GBtn, "미지정", d_쓰기);
      _GButton_제목자동위치_(_폼디자인.원본경로_GBtn, false, d_쓰기);
      _GButton_제목위치X_(_폼디자인.원본경로_GBtn, 4, d_쓰기);
      _GButton_배경색_(_폼디자인.원본경로_GBtn, 0x00f0f0f0, d_쓰기);
      _GButton_풍선도움말_(_폼디자인.원본경로_GBtn, true, d_쓰기);
      _GButton_유효_(_폼디자인.원본경로_GBtn, true, d_쓰기);
      _GButton_보이기_(_폼디자인.원본경로_GBtn, true, d_쓰기);
      _GButton_이벤트_MClick_(_폼디자인.원본경로_GBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.원본경로_GBtn, "원본경로_GBtn");

  //}

  //[_폼디자인.진행_GProgress]
  //{
      //[2020.11.10.화][추가]{--------------------------------------------------
      //[폼디자이너] 단계에서 추가하지 않은 것으로 직접 추가.
      //<_폼디자인.원본경로_GBtn> 와 같은 [크기/위치] 를 가지나 [배타적보이기] 속성을 갖는다.
      //그러므로, 처음에는 보이지 않고 시작.
      //}----------------------------------------------------------------------

      _GProgress_생성_(_폼디자인.진행_GProgress, _폼디자인.경로설정_바탕_GLabel, _Gui_ID_생성(), 73, 18, 367, 25, false);
      _GProgress_테두리간격_(_폼디자인.진행_GProgress, 3, d_쓰기);
      _GProgress_진행막대색_(_폼디자인.진행_GProgress, 0x000000e0, d_쓰기);
      _GProgress_유효_(_폼디자인.진행_GProgress, true, d_쓰기);
      _GProgress_보이기_(_폼디자인.진행_GProgress, false, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.진행_GProgress, "진행_GProgress");

  //}

  //[_폼디자인.배포경로_GBtn]
  //{
      _GButton_생성_(_폼디자인.배포경로_GBtn, _폼디자인.경로설정_바탕_GLabel, _Gui_ID_생성(), 73, 50, 367, 25, false);
      _GButton_제목_(_폼디자인.배포경로_GBtn, "미지정", d_쓰기);
      _GButton_제목자동위치_(_폼디자인.배포경로_GBtn, false, d_쓰기);
      _GButton_제목위치X_(_폼디자인.배포경로_GBtn, 4, d_쓰기);
      _GButton_배경색_(_폼디자인.배포경로_GBtn, 0x00f0f0f0, d_쓰기);
      _GButton_풍선도움말_(_폼디자인.배포경로_GBtn, true, d_쓰기);
      _GButton_유효_(_폼디자인.배포경로_GBtn, true, d_쓰기);
      _GButton_보이기_(_폼디자인.배포경로_GBtn, true, d_쓰기);
      _GButton_이벤트_MClick_(_폼디자인.배포경로_GBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.배포경로_GBtn, "배포경로_GBtn");

  //}

  //[_폼디자인.복사할항목_바탕_GLabel]
  //{
      _GLabel_생성_(_폼디자인.복사할항목_바탕_GLabel, _폼디자인.기본_GForm, _Gui_ID_생성(), 6, 118, 449, 80, false);
      _GLabel_제목_(_폼디자인.복사할항목_바탕_GLabel, "", d_쓰기);
      _GLabel_테두리_(_폼디자인.복사할항목_바탕_GLabel, true, d_쓰기);
      _GLabel_유효_(_폼디자인.복사할항목_바탕_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.복사할항목_바탕_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.복사할항목_바탕_GLabel, "복사할항목_바탕_GLabel");

  //}

  //[_폼디자인.복사할항목_제목_GLabel]
  //{
      _GLabel_생성_(_폼디자인.복사할항목_제목_GLabel, _폼디자인.기본_GForm, _Gui_ID_생성(), 6, 108, 73, 20, false);
      _GLabel_제목_(_폼디자인.복사할항목_제목_GLabel, "복사할 항목", d_쓰기);
      _GLabel_문자색_(_폼디자인.복사할항목_제목_GLabel, 0x00ffffff, d_쓰기);
      _GLabel_배경색_(_폼디자인.복사할항목_제목_GLabel, 0x00c0c0c0, d_쓰기);
      _GLabel_테두리_(_폼디자인.복사할항목_제목_GLabel, true, d_쓰기);
      _GLabel_유효_(_폼디자인.복사할항목_제목_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.복사할항목_제목_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.복사할항목_제목_GLabel, "복사할항목_제목_GLabel");

  //}

  //[_폼디자인.font_GChkBtn]
  //{
      _GCheckButton_생성_(_폼디자인.font_GChkBtn, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 8, 20, false);
      _GCheckButton_확인_(_폼디자인.font_GChkBtn, true, d_쓰기);
      _GCheckButton_유효_(_폼디자인.font_GChkBtn, true, d_쓰기);
      _GCheckButton_보이기_(_폼디자인.font_GChkBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.font_GChkBtn, "font_GChkBtn");

  //}

  //[_폼디자인.font_GLabel]
  //{
      _GLabel_생성_(_폼디자인.font_GLabel, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 22, 14, 39, 20, false);
      _GLabel_제목_(_폼디자인.font_GLabel, "font", d_쓰기);
      _GLabel_유효_(_폼디자인.font_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.font_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.font_GLabel, "font_GLabel");

  //}

  //[_폼디자인.gigyenics_GChkBtn]
  //{
      _GCheckButton_생성_(_폼디자인.gigyenics_GChkBtn, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 64, 20, false);
      _GCheckButton_확인_(_폼디자인.gigyenics_GChkBtn, true, d_쓰기);
      _GCheckButton_유효_(_폼디자인.gigyenics_GChkBtn, true, d_쓰기);
      _GCheckButton_보이기_(_폼디자인.gigyenics_GChkBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.gigyenics_GChkBtn, "gigyenics_GChkBtn");

  //}

  //[_폼디자인.glib_GChkBtn]
  //{
      _GCheckButton_생성_(_폼디자인.glib_GChkBtn, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 158, 20, false);
      _GCheckButton_확인_(_폼디자인.glib_GChkBtn, true, d_쓰기);
      _GCheckButton_유효_(_폼디자인.glib_GChkBtn, true, d_쓰기);
      _GCheckButton_보이기_(_폼디자인.glib_GChkBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.glib_GChkBtn, "glib_GChkBtn");

  //}

  //[_폼디자인.icon_GChkBtn]
  //{
      _GCheckButton_생성_(_폼디자인.icon_GChkBtn, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 214, 20, false);
      _GCheckButton_확인_(_폼디자인.icon_GChkBtn, true, d_쓰기);
      _GCheckButton_유효_(_폼디자인.icon_GChkBtn, true, d_쓰기);
      _GCheckButton_보이기_(_폼디자인.icon_GChkBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.icon_GChkBtn, "icon_GChkBtn");

  //}

  //[_폼디자인.gigyenics_GLabel]
  //{
      _GLabel_생성_(_폼디자인.gigyenics_GLabel, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 78, 14, 79, 20, false);
      _GLabel_제목_(_폼디자인.gigyenics_GLabel, "gigyenics", d_쓰기);
      _GLabel_유효_(_폼디자인.gigyenics_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.gigyenics_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.gigyenics_GLabel, "gigyenics_GLabel");

  //}

  //[_폼디자인.GLabel58]
  //{
      _GLabel_생성_(_폼디자인.glib_GLabel, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 173, 14, 37, 20, false);
      _GLabel_제목_(_폼디자인.glib_GLabel, "glib", d_쓰기);
      _GLabel_유효_(_폼디자인.glib_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.glib_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.glib_GLabel, "GLabel58");

  //}

  //[_폼디자인.icon_GLabel]
  //{
      _GLabel_생성_(_폼디자인.icon_GLabel, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 229, 14, 38, 20, false);
      _GLabel_제목_(_폼디자인.icon_GLabel, "icon", d_쓰기);
      _GLabel_유효_(_폼디자인.icon_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.icon_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.icon_GLabel, "icon_GLabel");

  //}

  //[_폼디자인.ide_system_GChkBtn]
  //{
      _GCheckButton_생성_(_폼디자인.ide_system_GChkBtn, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 270, 20, false);
      _GCheckButton_확인_(_폼디자인.ide_system_GChkBtn, true, d_쓰기);
      _GCheckButton_유효_(_폼디자인.ide_system_GChkBtn, true, d_쓰기);
      _GCheckButton_보이기_(_폼디자인.ide_system_GChkBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.ide_system_GChkBtn, "ide_system_GChkBtn");

  //}

  //[_폼디자인.ide_system_GLabel]
  //{
      _GLabel_생성_(_폼디자인.ide_system_GLabel, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 284, 14, 84, 20, false);
      _GLabel_제목_(_폼디자인.ide_system_GLabel, "ide_system", d_쓰기);
      _GLabel_유효_(_폼디자인.ide_system_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.ide_system_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.ide_system_GLabel, "ide_system_GLabel");

  //}

  //[_폼디자인.image_GChkBtn]
  //{
      _GCheckButton_생성_(_폼디자인.image_GChkBtn, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 371, 20, false);
      _GCheckButton_확인_(_폼디자인.image_GChkBtn, true, d_쓰기);
      _GCheckButton_유효_(_폼디자인.image_GChkBtn, true, d_쓰기);
      _GCheckButton_보이기_(_폼디자인.image_GChkBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.image_GChkBtn, "image_GChkBtn");

  //}

  //[_폼디자인.image_GLabel]
  //{
      _GLabel_생성_(_폼디자인.image_GLabel, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 386, 14, 44, 20, false);
      _GLabel_제목_(_폼디자인.image_GLabel, "image", d_쓰기);
      _GLabel_유효_(_폼디자인.image_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.image_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.image_GLabel, "image_GLabel");

  //}

  //[_폼디자인.linux_GChkBtn]
  //{
      _GCheckButton_생성_(_폼디자인.linux_GChkBtn, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 8, 40, false);
      _GCheckButton_확인_(_폼디자인.linux_GChkBtn, true, d_쓰기);
      _GCheckButton_유효_(_폼디자인.linux_GChkBtn, true, d_쓰기);
      _GCheckButton_보이기_(_폼디자인.linux_GChkBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.linux_GChkBtn, "linux_GChkBtn");

  //}

  //[_폼디자인.linux_GLabel]
  //{
      _GLabel_생성_(_폼디자인.linux_GLabel, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 22, 34, 44, 20, false);
      _GLabel_제목_(_폼디자인.linux_GLabel, "linux", d_쓰기);
      _GLabel_유효_(_폼디자인.linux_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.linux_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.linux_GLabel, "linux_GLabel");

  //}

  //[_폼디자인.opt_GChkBtn]
  //{
      _GCheckButton_생성_(_폼디자인.opt_GChkBtn, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 72, 40, false);
      _GCheckButton_확인_(_폼디자인.opt_GChkBtn, true, d_쓰기);
      _GCheckButton_유효_(_폼디자인.opt_GChkBtn, true, d_쓰기);
      _GCheckButton_보이기_(_폼디자인.opt_GChkBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.opt_GChkBtn, "opt_GChkBtn");

  //}

  //[_폼디자인.opt_GLabel]
  //{
      _GLabel_생성_(_폼디자인.opt_GLabel, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 85, 34, 28, 20, false);
      _GLabel_제목_(_폼디자인.opt_GLabel, "opt", d_쓰기);
      _GLabel_유효_(_폼디자인.opt_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.opt_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.opt_GLabel, "opt_GLabel");

  //}

  //[_폼디자인.os_GChkBtn]
  //{
      _GCheckButton_생성_(_폼디자인.os_GChkBtn, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 118, 40, false);
      _GCheckButton_확인_(_폼디자인.os_GChkBtn, true, d_쓰기);
      _GCheckButton_유효_(_폼디자인.os_GChkBtn, true, d_쓰기);
      _GCheckButton_보이기_(_폼디자인.os_GChkBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.os_GChkBtn, "os_GChkBtn");

  //}

  //[_폼디자인.os_GLabel]
  //{
      _GLabel_생성_(_폼디자인.os_GLabel, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 130, 34, 21, 20, false);
      _GLabel_제목_(_폼디자인.os_GLabel, "os", d_쓰기);
      _GLabel_유효_(_폼디자인.os_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.os_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.os_GLabel, "os_GLabel");

  //}

  //[_폼디자인.sysbmp_GChkBtn]
  //{
      _GCheckButton_생성_(_폼디자인.sysbmp_GChkBtn, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 156, 40, false);
      _GCheckButton_확인_(_폼디자인.sysbmp_GChkBtn, true, d_쓰기);
      _GCheckButton_유효_(_폼디자인.sysbmp_GChkBtn, true, d_쓰기);
      _GCheckButton_보이기_(_폼디자인.sysbmp_GChkBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.sysbmp_GChkBtn, "sysbmp_GChkBtn");

  //}

  //[_폼디자인.sysbmp_GLabel]
  //{
      _GLabel_생성_(_폼디자인.sysbmp_GLabel, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 169, 34, 53, 20, false);
      _GLabel_제목_(_폼디자인.sysbmp_GLabel, "sysbmp", d_쓰기);
      _GLabel_유효_(_폼디자인.sysbmp_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.sysbmp_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.sysbmp_GLabel, "sysbmp_GLabel");

  //}

  //[_폼디자인.txt_GChkBtn]
  //{
      _GCheckButton_생성_(_폼디자인.txt_GChkBtn, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 226, 40, false);
      _GCheckButton_확인_(_폼디자인.txt_GChkBtn, true, d_쓰기);
      _GCheckButton_유효_(_폼디자인.txt_GChkBtn, true, d_쓰기);
      _GCheckButton_보이기_(_폼디자인.txt_GChkBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.txt_GChkBtn, "txt_GChkBtn");

  //}

  //[_폼디자인.txt_GLabel]
  //{
      _GLabel_생성_(_폼디자인.txt_GLabel, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 239, 34, 28, 20, false);
      _GLabel_제목_(_폼디자인.txt_GLabel, "txt", d_쓰기);
      _GLabel_유효_(_폼디자인.txt_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.txt_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.txt_GLabel, "txt_GLabel");

  //}

  //[_폼디자인.wizard_GChkBtn]
  //{
      _GCheckButton_생성_(_폼디자인.wizard_GChkBtn, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 274, 40, false);
      _GCheckButton_확인_(_폼디자인.wizard_GChkBtn, true, d_쓰기);
      _GCheckButton_유효_(_폼디자인.wizard_GChkBtn, true, d_쓰기);
      _GCheckButton_보이기_(_폼디자인.wizard_GChkBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.wizard_GChkBtn, "wizard_GChkBtn");

  //}

  //[_폼디자인.wizard_GLabel]
  //{
      _GLabel_생성_(_폼디자인.wizard_GLabel, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 289, 34, 54, 20, false);
      _GLabel_제목_(_폼디자인.wizard_GLabel, "wizard", d_쓰기);
      _GLabel_유효_(_폼디자인.wizard_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.wizard_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.wizard_GLabel, "wizard_GLabel");

  //}

  //[_폼디자인.GCheckButton76]
  //{
      _GCheckButton_생성_(_폼디자인.IDE_GChkBtn, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 8, 60, false);
      _GCheckButton_확인_(_폼디자인.IDE_GChkBtn, true, d_쓰기);
      _GCheckButton_유효_(_폼디자인.IDE_GChkBtn, true, d_쓰기);
      _GCheckButton_보이기_(_폼디자인.IDE_GChkBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.IDE_GChkBtn, "GCheckButton76");

  //}

  //[_폼디자인.GLabel77]
  //{
      _GLabel_생성_(_폼디자인.IDE_GLabel, _폼디자인.복사할항목_바탕_GLabel, _Gui_ID_생성(), 22, 54, 61, 20, false);
      _GLabel_제목_(_폼디자인.IDE_GLabel, "IDE.exe", d_쓰기);
      _GLabel_문자형식_(_폼디자인.IDE_GLabel, d_굵은문자, d_쓰기);
      _GLabel_유효_(_폼디자인.IDE_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.IDE_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.IDE_GLabel, "GLabel77");

  //}

  //[_폼디자인.만들기_바탕_GLabel]
  //{
      _GLabel_생성_(_폼디자인.만들기_바탕_GLabel, _폼디자인.기본_GForm, _Gui_ID_생성(), 6, 214, 448, 51, false);
      _GLabel_제목_(_폼디자인.만들기_바탕_GLabel, "", d_쓰기);
      _GLabel_테두리_(_폼디자인.만들기_바탕_GLabel, true, d_쓰기);
      _GLabel_유효_(_폼디자인.만들기_바탕_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.만들기_바탕_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.만들기_바탕_GLabel, "만들기_바탕_GLabel");

  //}

  //[_폼디자인.만들기_제목_GLabel]
  //{
      _GLabel_생성_(_폼디자인.만들기_제목_GLabel, _폼디자인.기본_GForm, _Gui_ID_생성(), 6, 205, 42, 20, false);
      _GLabel_제목_(_폼디자인.만들기_제목_GLabel, "만들기", d_쓰기);
      _GLabel_문자색_(_폼디자인.만들기_제목_GLabel, 0x00ffffff, d_쓰기);
      _GLabel_배경색_(_폼디자인.만들기_제목_GLabel, 0x00c0c0c0, d_쓰기);
      _GLabel_테두리_(_폼디자인.만들기_제목_GLabel, true, d_쓰기);
      _GLabel_유효_(_폼디자인.만들기_제목_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.만들기_제목_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.만들기_제목_GLabel, "만들기_제목_GLabel");

  //}

  //[_폼디자인.덮어쓰기_GChkBtn]
  //{
      _GCheckButton_생성_(_폼디자인.덮어쓰기_GChkBtn, _폼디자인.만들기_바탕_GLabel, _Gui_ID_생성(), 8, 22, false);
      _GCheckButton_확인_(_폼디자인.덮어쓰기_GChkBtn, true, d_쓰기);
      _GCheckButton_유효_(_폼디자인.덮어쓰기_GChkBtn, true, d_쓰기);
      _GCheckButton_보이기_(_폼디자인.덮어쓰기_GChkBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.덮어쓰기_GChkBtn, "덮어쓰기_GChkBtn");

  //}

  //[_폼디자인.덮어쓰기_GLabel]
  //{
      _GLabel_생성_(_폼디자인.덮어쓰기_GLabel, _폼디자인.만들기_바탕_GLabel, _Gui_ID_생성(), 22, 18, 53, 20, false);
      _GLabel_제목_(_폼디자인.덮어쓰기_GLabel, "덮어쓰기", d_쓰기);
      _GLabel_유효_(_폼디자인.덮어쓰기_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.덮어쓰기_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.덮어쓰기_GLabel, "덮어쓰기_GLabel");

  //}

  //[_폼디자인.만들기_GBtn]
  //{
      _GButton_생성_(_폼디자인.만들기_GBtn, _폼디자인.만들기_바탕_GLabel, _Gui_ID_생성(), 77, 14, 360, 25, false);
      _GButton_제목_(_폼디자인.만들기_GBtn, "만들기(복사)", d_쓰기);
      _GButton_제목위치X_(_폼디자인.만들기_GBtn, 142, d_쓰기);
      _GButton_배경색_(_폼디자인.만들기_GBtn, 0x00f0f0f0, d_쓰기);
      _GButton_유효_(_폼디자인.만들기_GBtn, true, d_쓰기);
      _GButton_보이기_(_폼디자인.만들기_GBtn, true, d_쓰기);
      _GButton_이벤트_MClick_(_폼디자인.만들기_GBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.만들기_GBtn, "만들기_GBtn");

  //}

  //[_폼디자인.정리_바탕_GLabel]
  //{
      _GLabel_생성_(_폼디자인.정리_바탕_GLabel, _폼디자인.기본_GForm, _Gui_ID_생성(), 6, 281, 448, 72, false);
      _GLabel_제목_(_폼디자인.정리_바탕_GLabel, "", d_쓰기);
      _GLabel_테두리_(_폼디자인.정리_바탕_GLabel, true, d_쓰기);
      _GLabel_유효_(_폼디자인.정리_바탕_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.정리_바탕_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.정리_바탕_GLabel, "정리_바탕_GLabel");

  //}

  //[_폼디자인.정리_제목_GLabel]
  //{
      _GLabel_생성_(_폼디자인.정리_제목_GLabel, _폼디자인.기본_GForm, _Gui_ID_생성(), 6, 272, 30, 20, false);
      _GLabel_제목_(_폼디자인.정리_제목_GLabel, "정리", d_쓰기);
      _GLabel_문자색_(_폼디자인.정리_제목_GLabel, 0x00ffffff, d_쓰기);
      _GLabel_배경색_(_폼디자인.정리_제목_GLabel, 0x00c0c0c0, d_쓰기);
      _GLabel_테두리_(_폼디자인.정리_제목_GLabel, true, d_쓰기);
      _GLabel_유효_(_폼디자인.정리_제목_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.정리_제목_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.정리_제목_GLabel, "정리_제목_GLabel");

  //}

  //[_폼디자인.정리설명_GLabel]
  //{
      _GLabel_생성_(_폼디자인.정리설명_GLabel, _폼디자인.정리_바탕_GLabel, _Gui_ID_생성(), 5, 12, 438, 20, false);
      _GLabel_제목_(_폼디자인.정리설명_GLabel, "배포판 내부 <*.*~>, <*.*.bk>, <*.urd>, <함수묶음.h> 를 삭제.", d_쓰기);
      _GLabel_유효_(_폼디자인.정리설명_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.정리설명_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.정리설명_GLabel, "정리설명_GLabel");

  //}

  //[_폼디자인.정리_GBtn]
  //{
      _GButton_생성_(_폼디자인.정리_GBtn, _폼디자인.정리_바탕_GLabel, _Gui_ID_생성(), 229, 36, 208, 25, false);
      _GButton_제목_(_폼디자인.정리_GBtn, "정리", d_쓰기);
      _GButton_제목위치X_(_폼디자인.정리_GBtn, 146, d_쓰기);
      _GButton_배경색_(_폼디자인.정리_GBtn, 0x00f0f0f0, d_쓰기);
      _GButton_유효_(_폼디자인.정리_GBtn, true, d_쓰기);
      _GButton_보이기_(_폼디자인.정리_GBtn, true, d_쓰기);
      _GButton_이벤트_MClick_(_폼디자인.정리_GBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.정리_GBtn, "정리_GBtn");

  //}

  //[_폼디자인.배포판만들기_바탕_GLabel]
  //{
      _GLabel_생성_(_폼디자인.배포판만들기_바탕_GLabel, _폼디자인.기본_GForm, _Gui_ID_생성(), 6, 370, 448, 75, false);
      _GLabel_제목_(_폼디자인.배포판만들기_바탕_GLabel, "", d_쓰기);
      _GLabel_테두리_(_폼디자인.배포판만들기_바탕_GLabel, true, d_쓰기);
      _GLabel_유효_(_폼디자인.배포판만들기_바탕_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.배포판만들기_바탕_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.배포판만들기_바탕_GLabel, "배포판만들기_바탕_GLabel");

  //}

  //[_폼디자인.배포판만들기_제목_GLabel]
  //{
      _GLabel_생성_(_폼디자인.배포판만들기_제목_GLabel, _폼디자인.기본_GForm, _Gui_ID_생성(), 6, 361, 86, 20, false);
      _GLabel_제목_(_폼디자인.배포판만들기_제목_GLabel, "배포판 만들기", d_쓰기);
      _GLabel_문자색_(_폼디자인.배포판만들기_제목_GLabel, 0x00ffffff, d_쓰기);
      _GLabel_배경색_(_폼디자인.배포판만들기_제목_GLabel, 0x00c0c0c0, d_쓰기);
      _GLabel_테두리_(_폼디자인.배포판만들기_제목_GLabel, true, d_쓰기);
      _GLabel_유효_(_폼디자인.배포판만들기_제목_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.배포판만들기_제목_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.배포판만들기_제목_GLabel, "배포판만들기_제목_GLabel");

  //}

  //[_폼디자인.배포판만들기설명_GLabel]
  //{
      _GLabel_생성_(_폼디자인.배포판만들기설명_GLabel, _폼디자인.배포판만들기_바탕_GLabel, _Gui_ID_생성(), 7, 14, 333, 20, false);
      _GLabel_제목_(_폼디자인.배포판만들기설명_GLabel, "{ 만들기 => 정리 } 까지 자동 처리해서 배포판 제작.", d_쓰기);
      _GLabel_유효_(_폼디자인.배포판만들기설명_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.배포판만들기설명_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.배포판만들기설명_GLabel, "배포판만들기설명_GLabel");

  //}

  //[_폼디자인.배포판만들기_GBtn]
  //{
      _GButton_생성_(_폼디자인.배포판만들기_GBtn, _폼디자인.배포판만들기_바탕_GLabel, _Gui_ID_생성(), 10, 38, 428, 25, false);
      _GButton_제목_(_폼디자인.배포판만들기_GBtn, "배포판 만들기", d_쓰기);
      _GButton_제목위치X_(_폼디자인.배포판만들기_GBtn, 174, d_쓰기);
      _GButton_배경색_(_폼디자인.배포판만들기_GBtn, 0x00f0f0f0, d_쓰기);
      _GButton_유효_(_폼디자인.배포판만들기_GBtn, true, d_쓰기);
      _GButton_보이기_(_폼디자인.배포판만들기_GBtn, true, d_쓰기);
      _GButton_이벤트_MClick_(_폼디자인.배포판만들기_GBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.배포판만들기_GBtn, "배포판만들기_GBtn");

  //}

  //[_폼디자인.프린트_GForm]
  //{
      _GForm_생성_(_폼디자인.프린트_GForm, NULL, _Gui_ID_생성(), 635 - 보정_x, 204 - 보정_y, 550, 248, false);
      _GForm_제목줄문자열_(_폼디자인.프린트_GForm, "::: 정리 목록 출력기 :::", d_쓰기);
      _GForm_유효_(_폼디자인.프린트_GForm, true, d_쓰기);
      _GForm_보이기_(_폼디자인.프린트_GForm, false, d_쓰기);
      _GForm_이벤트_Close_(_폼디자인.프린트_GForm, true, d_쓰기);
      _GForm_이벤트_Resize_(_폼디자인.프린트_GForm, true, d_쓰기);
      //[2020.11.20.금][추가]{------------------------------
      _GForm_이벤트_Move_(_폼디자인.프린트_GForm, true, d_쓰기);
      _GForm_이벤트_Drop_(_폼디자인.프린트_GForm, true, d_쓰기);
      //}--------------------------------------------------
      _GX_표시되는_이름설정_(_폼디자인.프린트_GForm, "프린트_GForm");

  //}

  //[_폼디자인.프린트_GPrintBox]
  //{
      _GPrintBox_생성_(_폼디자인.프린트_GPrintBox, _폼디자인.프린트_GForm, _Gui_ID_생성(), 4, 4, 534, 218, false);
      _GPrintBox_배경색_(_폼디자인.프린트_GPrintBox, 0x00f0f0f0, d_쓰기);
      _GPrintBox_유효_(_폼디자인.프린트_GPrintBox, true, d_쓰기);
      _GPrintBox_보이기_(_폼디자인.프린트_GPrintBox, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.프린트_GPrintBox, "프린트_GPrintBox");

  //}

  //[_폼디자인.정리목록만들기_GBtn]
  //{
      _GButton_생성_(_폼디자인.정리목록만들기_GBtn, _폼디자인.정리_바탕_GLabel, _Gui_ID_생성(), 10, 36, 208, 25, false);
      _GButton_제목_(_폼디자인.정리목록만들기_GBtn, "정리 목록 만들기", d_쓰기);
      _GButton_배경색_(_폼디자인.정리목록만들기_GBtn, 0x00f0f0f0, d_쓰기);
      _GButton_유효_(_폼디자인.정리목록만들기_GBtn, true, d_쓰기);
      _GButton_보이기_(_폼디자인.정리목록만들기_GBtn, true, d_쓰기);
      _GButton_이벤트_MClick_(_폼디자인.정리목록만들기_GBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.정리목록만들기_GBtn, "정리목록만들기_GBtn");

  //}

  //[_폼디자인.복사단위선택_GLabel]
  //{
      //[2020.11.21.토][추가]
      _GLabel_생성_(_폼디자인.복사단위선택_GLabel, _폼디자인.기본_GForm, _Gui_ID_생성(), 56, 204, 146, 20, false);
      _GLabel_제목_(_폼디자인.복사단위선택_GLabel, "", d_쓰기);
      _GLabel_테두리_(_폼디자인.복사단위선택_GLabel, true, d_쓰기);
      _GLabel_유효_(_폼디자인.복사단위선택_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.복사단위선택_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.복사단위선택_GLabel, "복사단위선택_GLabel");

  //}

  //[_폼디자인.폴더단위_GRdoBtn]
  //{
      //[2020.11.21.토][추가]
      _GRadioButton_생성_(_폼디자인.폴더단위_GRdoBtn, _폼디자인.복사단위선택_GLabel, _Gui_ID_생성(), 4, 4, false);
      _GRadioButton_확인_(_폼디자인.폴더단위_GRdoBtn, true, d_쓰기);
      //[2020.11.29.일][추가]{------------------------------------------
      //기본적으로 선택된 것은 <clRed> 로 설정.
      _GRadioButton_전면색_(_폼디자인.폴더단위_GRdoBtn, 0x000000c8, d_쓰기);
      //}--------------------------------------------------------------
      _GRadioButton_유효_(_폼디자인.폴더단위_GRdoBtn, true, d_쓰기);
      _GRadioButton_보이기_(_폼디자인.폴더단위_GRdoBtn, true, d_쓰기);
      _GRadioButton_이벤트_MClick_(_폼디자인.폴더단위_GRdoBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.폴더단위_GRdoBtn, "폴더단위_GRdoBtn");

  //}

  //[_폼디자인.폴더단위_GLabel]
  //{
      //[2020.11.21.토][추가]
      _GLabel_생성_(_폼디자인.폴더단위_GLabel, _폼디자인.복사단위선택_GLabel, _Gui_ID_생성(), 16, 1, 52, 18, false);
      _GLabel_제목_(_폼디자인.폴더단위_GLabel, "폴더단위", d_쓰기);
      _GLabel_자동폭_(_폼디자인.폴더단위_GLabel, true, d_쓰기);
      _GLabel_유효_(_폼디자인.폴더단위_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.폴더단위_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.폴더단위_GLabel, "폴더단위_GLabel");

  //}

  //[_폼디자인.파일단위_GRdoBtn]
  //{
      //[2020.11.21.토][추가]
      _GRadioButton_생성_(_폼디자인.파일단위_GRdoBtn, _폼디자인.복사단위선택_GLabel, _Gui_ID_생성(), 76, 4, false);
      _GRadioButton_유효_(_폼디자인.파일단위_GRdoBtn, true, d_쓰기);
      _GRadioButton_보이기_(_폼디자인.파일단위_GRdoBtn, true, d_쓰기);
      _GRadioButton_이벤트_MClick_(_폼디자인.파일단위_GRdoBtn, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.파일단위_GRdoBtn, "파일단위_GRdoBtn");

  //}

  //[_폼디자인.파일단위_GLabel]
  //{
      //[2020.11.21.토][추가]
      _GLabel_생성_(_폼디자인.파일단위_GLabel, _폼디자인.복사단위선택_GLabel, _Gui_ID_생성(), 88, 1, 52, 18, false);
      _GLabel_제목_(_폼디자인.파일단위_GLabel, "파일단위", d_쓰기);
      _GLabel_자동폭_(_폼디자인.파일단위_GLabel, true, d_쓰기);
      _GLabel_유효_(_폼디자인.파일단위_GLabel, true, d_쓰기);
      _GLabel_보이기_(_폼디자인.파일단위_GLabel, true, d_쓰기);
      _GX_표시되는_이름설정_(_폼디자인.파일단위_GLabel, "파일단위_GLabel");

  //}


  //[후처리]
  //{
      _GDotMatrix_전체_일시정지_(false, d_쓰기);

  //}

  //[가장 앞으로 보이기]
  //{
      //[2020.11.13.금][추가]{----------------------------------------------------
      //<_GX_가장앞으로_()> 만으로는 해결되지 않으므로, 반드시 <_GX_항상위로_()> 를 먼저 처리.
      //}------------------------------------------------------------------------

      _GX_항상위로_(_폼디자인.기본_GForm, true);
      _GX_가장앞으로_(_폼디자인.기본_GForm);
      _GX_항상위로_(_폼디자인.기본_GForm, false);

  //}

  //[<기본_GForm> 보이기]
  //{
      //[2020.11.11.수][추가]{-------
      //모든 GUI 가 완성된 다음 보여준다.
      //}---------------------------

      _GForm_보이기_(_폼디자인.기본_GForm, true, d_쓰기);

  //}

}

void _폼디자인_소멸(void)
{
  _GButton_삭제_(_폼디자인.정리목록만들기_GBtn);
  _GPrintBox_삭제_(_폼디자인.프린트_GPrintBox);
  _GForm_삭제_(_폼디자인.프린트_GForm);
  _GButton_삭제_(_폼디자인.배포판만들기_GBtn);
  _GLabel_삭제_(_폼디자인.배포판만들기설명_GLabel);
  _GLabel_삭제_(_폼디자인.배포판만들기_제목_GLabel);
  _GLabel_삭제_(_폼디자인.배포판만들기_바탕_GLabel);
  _GButton_삭제_(_폼디자인.정리_GBtn);
  _GLabel_삭제_(_폼디자인.정리설명_GLabel);
  _GLabel_삭제_(_폼디자인.정리_제목_GLabel);
  _GLabel_삭제_(_폼디자인.정리_바탕_GLabel);
  _GButton_삭제_(_폼디자인.만들기_GBtn);
  _GLabel_삭제_(_폼디자인.덮어쓰기_GLabel);
  _GCheckButton_삭제_(_폼디자인.덮어쓰기_GChkBtn);
  _GLabel_삭제_(_폼디자인.만들기_제목_GLabel);
  _GLabel_삭제_(_폼디자인.만들기_바탕_GLabel);
  _GLabel_삭제_(_폼디자인.IDE_GLabel);
  _GCheckButton_삭제_(_폼디자인.IDE_GChkBtn);
  _GLabel_삭제_(_폼디자인.wizard_GLabel);
  _GCheckButton_삭제_(_폼디자인.wizard_GChkBtn);
  _GLabel_삭제_(_폼디자인.txt_GLabel);
  _GCheckButton_삭제_(_폼디자인.txt_GChkBtn);
  _GLabel_삭제_(_폼디자인.sysbmp_GLabel);
  _GCheckButton_삭제_(_폼디자인.sysbmp_GChkBtn);
  _GLabel_삭제_(_폼디자인.os_GLabel);
  _GCheckButton_삭제_(_폼디자인.os_GChkBtn);
  _GLabel_삭제_(_폼디자인.opt_GLabel);
  _GCheckButton_삭제_(_폼디자인.opt_GChkBtn);
  _GLabel_삭제_(_폼디자인.linux_GLabel);
  _GCheckButton_삭제_(_폼디자인.linux_GChkBtn);
  _GLabel_삭제_(_폼디자인.image_GLabel);
  _GCheckButton_삭제_(_폼디자인.image_GChkBtn);
  _GLabel_삭제_(_폼디자인.ide_system_GLabel);
  _GCheckButton_삭제_(_폼디자인.ide_system_GChkBtn);
  _GLabel_삭제_(_폼디자인.icon_GLabel);
  _GLabel_삭제_(_폼디자인.glib_GLabel);
  _GLabel_삭제_(_폼디자인.gigyenics_GLabel);
  _GCheckButton_삭제_(_폼디자인.icon_GChkBtn);
  _GCheckButton_삭제_(_폼디자인.glib_GChkBtn);
  _GCheckButton_삭제_(_폼디자인.gigyenics_GChkBtn);
  _GLabel_삭제_(_폼디자인.font_GLabel);
  _GCheckButton_삭제_(_폼디자인.font_GChkBtn);
  _GLabel_삭제_(_폼디자인.복사할항목_제목_GLabel);
  _GLabel_삭제_(_폼디자인.복사할항목_바탕_GLabel);
  _GButton_삭제_(_폼디자인.배포경로_GBtn);

  //[2020.11.10.화][추가]{-----------------
  _GProgress_삭제_(_폼디자인.진행_GProgress);
  //}-------------------------------------

  _GButton_삭제_(_폼디자인.원본경로_GBtn);
  _GLabel_삭제_(_폼디자인.배포경로_GLabel);
  _GLabel_삭제_(_폼디자인.원본경로_GLabel);
  _GLabel_삭제_(_폼디자인.경로설정_제목_GLabel);
  _GLabel_삭제_(_폼디자인.경로설정_바탕_GLabel);
  _GForm_삭제_(_폼디자인.기본_GForm);

}

void _폼디자인_모달_초기화(void)
{
  _폼디자인.기본_GForm_모달 = _GForm_유효_(_폼디자인.기본_GForm, NULL, d_읽기);
  _폼디자인.프린트_GForm_모달 = _GForm_유효_(_폼디자인.프린트_GForm, NULL, d_읽기);

}

void _폼디자인_모달_구현(bool  p모달유무)
{
  if(p모달유무 == false)
  {
    _폼디자인.기본_GForm_모달 = _GForm_유효_(_폼디자인.기본_GForm, NULL, d_읽기);
    _GForm_유효_(_폼디자인.기본_GForm, false, d_쓰기);

    _폼디자인.프린트_GForm_모달 = _GForm_유효_(_폼디자인.프린트_GForm, NULL, d_읽기);
    _GForm_유효_(_폼디자인.프린트_GForm, false, d_쓰기);

  }
  else
  {
    _GForm_유효_(_폼디자인.기본_GForm, _폼디자인.기본_GForm_모달 && true, d_쓰기);
    _GForm_유효_(_폼디자인.프린트_GForm, _폼디자인.프린트_GForm_모달 && true, d_쓰기);

  }

}

void _폼디자인_이벤트(struct t_Gui_알림문64  *p알림문64)
{
  if     ((p알림문64->식별자 == _Gui_ID_읽기(_폼디자인.기본_GForm)) && (p알림문64->알림문 == d_GuiMsg_Close))
  {
    _폼디자인_기본_GForm_이벤트_Close(p알림문64);

  }
  else if((p알림문64->식별자 == _Gui_ID_읽기(_폼디자인.기본_GForm)) && (p알림문64->알림문 == d_GuiMsg_Move))
  {
    //[2020.11.19.목][추가]
    _폼디자인_기본_GForm_이벤트_Move(p알림문64);

  }
  else if((p알림문64->식별자 == _Gui_ID_읽기(_폼디자인.기본_GForm)) && (p알림문64->알림문 == d_GuiMsg_Drag))
  {
    //[2020.11.21.토][추가]
    _폼디자인_기본_GForm_이벤트_Drag(p알림문64);

  }
  else if((p알림문64->식별자 == _Gui_ID_읽기(_폼디자인.기본_GForm)) && (p알림문64->알림문 == d_GuiMsg_Drop))
  {
    //[2020.11.21.토][추가]
    _폼디자인_기본_GForm_이벤트_Drop(p알림문64);

  }
  else if((p알림문64->식별자 == _Gui_ID_읽기(_폼디자인.원본경로_GBtn)) && (p알림문64->알림문 == d_GuiMsg_MClick))
  {
    _폼디자인_원본경로_GBtn_이벤트_MClick(p알림문64);

  }
  else if((p알림문64->식별자 == _Gui_ID_읽기(_폼디자인.배포경로_GBtn)) && (p알림문64->알림문 == d_GuiMsg_MClick))
  {
    _폼디자인_배포경로_GBtn_이벤트_MClick(p알림문64);

  }
  else if((p알림문64->식별자 == _Gui_ID_읽기(_폼디자인.만들기_GBtn)) && (p알림문64->알림문 == d_GuiMsg_MClick))
  {
    _폼디자인_만들기_GBtn_이벤트_MClick(p알림문64);

  }
  else if((p알림문64->식별자 == _Gui_ID_읽기(_폼디자인.정리_GBtn)) && (p알림문64->알림문 == d_GuiMsg_MClick))
  {
    _폼디자인_정리_GBtn_이벤트_MClick(p알림문64);

  }
  else if((p알림문64->식별자 == _Gui_ID_읽기(_폼디자인.배포판만들기_GBtn)) && (p알림문64->알림문 == d_GuiMsg_MClick))
  {
    _폼디자인_배포판만들기_GBtn_이벤트_MClick(p알림문64);

  }
  else if((p알림문64->식별자 == _Gui_ID_읽기(_폼디자인.프린트_GForm)) && (p알림문64->알림문 == d_GuiMsg_Close))
  {
    _폼디자인_프린트_GForm_이벤트_Close(p알림문64);

  }
  else if((p알림문64->식별자 == _Gui_ID_읽기(_폼디자인.프린트_GForm)) && (p알림문64->알림문 == d_GuiMsg_Resize))
  {
    _폼디자인_프린트_GForm_이벤트_Resize(p알림문64);

  }
  else if((p알림문64->식별자 == _Gui_ID_읽기(_폼디자인.프린트_GForm)) && (p알림문64->알림문 == d_GuiMsg_Move))
  {
    //[2020.11.20.금][추가]
    _폼디자인_프린트_GForm_이벤트_Move(p알림문64);

  }
  else if((p알림문64->식별자 == _Gui_ID_읽기(_폼디자인.프린트_GForm)) && (p알림문64->알림문 == d_GuiMsg_Drop))
  {
    //[2020.11.20.금][추가]
    _폼디자인_프린트_GForm_이벤트_Drop(p알림문64);

  }
  else if((p알림문64->식별자 == _Gui_ID_읽기(_폼디자인.정리목록만들기_GBtn)) && (p알림문64->알림문 == d_GuiMsg_MClick))
  {
    _폼디자인_정리목록만들기_GBtn_이벤트_MClick(p알림문64);

  }
  else if((p알림문64->식별자 == _Gui_ID_읽기(_폼디자인.폴더단위_GRdoBtn)) && (p알림문64->알림문 == d_GuiMsg_MClick))
  {
    _폼디자인_폴더단위_GRdoBtn_이벤트_MClick(p알림문64);

  }
  else if((p알림문64->식별자 == _Gui_ID_읽기(_폼디자인.파일단위_GRdoBtn)) && (p알림문64->알림문 == d_GuiMsg_MClick))
  {
    _폼디자인_파일단위_GRdoBtn_이벤트_MClick(p알림문64);

  }

}

